For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /merchants/create

Create Merchant ---- [auth scope: admin, grandparent, parent]

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
redirectUrlstringRequired

The new merchant URL

merchantNamestringRequired

The new merchant name

statusobjectRequired

The new merchant status

isAllOptInobjectRequired

Do you want to opt in for all payment providers as paren

parentIdstringRequired

The new merchant parent

preferredDisplayModestringRequired

The new merchant Preferred display mode for payment

CountrystringOptional

The country in which you want to store data of merchant in spanner

Responses
200

Merchant created successfully

application/json
merchantIdstringRequired

The merchant ID

redirectUrlstringRequired

The merchant redirect url

merchantNamestringRequired

The merchant name

statusbooleanRequired

The merchant status

parentIdstringRequired

The parent ID

authClientIdstringRequired

The merchant client ID

authClientSecretstringRequired

The merchant client secret

hmacKeystringRequired

The merchant hmac key

partnerMerchantIdstringRequired

The partner's merchant id

isAllOptInbooleanRequired

opted in status for all payment providers as parent

post/merchants/create
POST /merchants/create HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 461

{
  "redirectUrl": "text",
  "merchantName": "text",
  "status": {},
  "isAllOptIn": {},
  "parentId": "text",
  "theme": {
    "logo": "text",
    "leftSidebarBgColor": "text",
    "leftSidebarActiveColor": "text",
    "leftSidebarHoverColor": "text",
    "leftSidebarTextColor": "text",
    "topBarTextColor": "text",
    "topBarBgColor": "text",
    "paymentLinkMenuAlias": "text"
  },
  "preferredDisplayMode": "text",
  "popupOverlayConfig": {
    "title": "Payment in progress",
    "message": "Click anywhere to continue payment!"
  },
  "Country": "text"
}
200

Merchant created successfully

{
  "merchantId": "text",
  "redirectUrl": "text",
  "merchantName": "text",
  "status": true,
  "parentId": "text",
  "authClientId": "text",
  "authClientSecret": "text",
  "hmacKey": "text",
  "theme": {
    "logo": "text",
    "leftSidebarBgColor": "text",
    "leftSidebarActiveColor": "text",
    "leftSidebarHoverColor": "text",
    "leftSidebarTextColor": "text",
    "topBarTextColor": "text",
    "topBarBgColor": "text",
    "paymentLinkMenuAlias": "text"
  },
  "partnerMerchantId": "text",
  "isAllOptIn": true
}

Last updated